Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.higgins.ics.ws.wsdl
Class ICardUpdateResponseTO

    java.lang.Object
      org.eclipse.higgins.ics.ws.wsdl.ResponseMessage
          org.eclipse.higgins.ics.ws.wsdl.ICardUpdateResponseTO

All Implemented Interfaces:
  Serializable

public class ICardUpdateResponseTO
extends ResponseMessage
implements Serializable

See Also:
  Serialized Form

Constructor Summary
`ICardUpdateResponseTO()`
`ICardUpdateResponseTO(int code, String message, String cuid)`

Method Summary
`boolean` | `equals(Object obj)`
`String` | `getCuid()` Gets the cuid value for this ICardUpdateResponseTO.
`static org.apache.axis.encoding.Deserializer` | `getDeserializer(String mechType, Class _javaType, javax.xml.namespace.QName _xmlType)` Get Custom Deserializer
`static org.apache.axis.encoding.Serializer` | `getSerializer(String mechType, Class _javaType, javax.xml.namespace.QName _xmlType)` Get Custom Serializer
`static org.apache.axis.description.TypeDesc` | `getTypeDesc()` Return type metadata object
`int` | `hashCode()`
`void` | `setCuid(String cuid)` Sets the cuid value for this ICardUpdateResponseTO.

Methods inherited from class org.eclipse.higgins.ics.ws.wsdl.ResponseMessage
`getCode, getMessage, setCode, setMessage`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ICardUpdateResponseTO

    public ICardUpdateResponseTO()

### ICardUpdateResponseTO

    public ICardUpdateResponseTO(int code,
                                 String message,
                                 String cuid)

Method Detail

### getCuid

    public String getCuid()

  Gets the cuid value for this ICardUpdateResponseTO.

  Returns:
    cuid

### setCuid

    public void setCuid(String cuid)

  Sets the cuid value for this ICardUpdateResponseTO.

  Parameters:
    `cuid` -

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `ResponseMessage`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `ResponseMessage`

### getTypeDesc

    public static org.apache.axis.description.TypeDesc getTypeDesc()

  Return type metadata object

### getSerializer

    public static org.apache.axis.encoding.Serializer getSerializer(String mechType,
                                                                    Class _javaType,
                                                                    javax.xml.namespace.QName _xmlType)

  Get Custom Serializer

### getDeserializer

    public static org.apache.axis.encoding.Deserializer getDeserializer(String mechType,
                                                                        Class _javaType,
                                                                        javax.xml.namespace.QName _xmlType)

  Get Custom Deserializer

Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD